# Sid Meier's Civilization 4
# Copyright Firaxis Games 2005
#
# CvRandomEventInterface.py
#
# These functions are App Entry Points from C++
# WARNING: These function names should not be changed
# WARNING: These functions can not be placed into a class
#
# No other modules should import this
#
import CvUtil
from CvPythonExtensions import *

gc = CyGlobalContext()
localText = CyTranslator()

def forgetMedicine(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_MEDICINE')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetMysticism(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_MYSTICISM')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetMeditation(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_MEDITATION')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetPolytheism(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_POLYTHEISM')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetPriesthood(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_PRIESTHOOD')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetMonotheism(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_MONOTHEISM')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetMonarchy(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_MONARCHY')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetCodeOfLaws(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_CODE_OF_LAWS')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetDrama(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_DRAMA')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetFeudalism(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_FEUDALISM')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetTheology(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_THEOLOGY')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetMusic(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_MUSIC')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetCivilService(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_CIVIL_SERVICE')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetGuilds(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_GUILDS')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetDivineRight(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_DIVINE_RIGHT')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetNationalism(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_NATIONALISM')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetMilitaryTradition(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_MILITARY_TRADITION')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetConstitution(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_CONSTITUTION')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetLiberalism(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_LIBERALISM')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetDemocracy(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_DEMOCRACY')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetCorporation(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_CORPORATION')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetFascism(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_FASCISM')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetUtopia(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_UTOPIA')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetMassMedia(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_MASS_MEDIA')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetEcology(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_ECOLOGY')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetFishing(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_FISHING')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, true, kTriggeredData.ePlayer, true, true)

def forgetTheWheel(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_THE_WHEEL')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetAgriculture(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_AGRICULTURE')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetPottery(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_POTTERY')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetAesthetics(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_AESTHETICS')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetSailing(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_SAILING')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetWriting(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_WRITING')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetMathematics(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_MATHEMATICS')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetAlphabet(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_ALPHABET')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetCalendar(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_CALENDAR')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetCurrency(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_CURRENCY')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetPhilosophy(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_PHILOSOPHY')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetPaper(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_PAPER')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetBanking(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_BANKING')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetEducation(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_EDUCATION')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetPrintingPress(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_PRINTING_PRESS')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetEconomics(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_ECONOMICS')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetAstronomy(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_ASTRONOMY')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetChemistry(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_CHEMISTRY')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetScientificMethod(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_SCIENTIFIC_METHOD')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetPhysics(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_PHYSICS')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetBiology(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_BIOLOGY')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetElectricity(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_ELECTRICITY')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetCombustion(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_COMBUSTION')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetFission(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_FISSION')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetFlight(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_FLIGHT')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetAdvancedFlight(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_ADVANCED_FLIGHT')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetPlastics(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_PLASTICS')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetComposites(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_COMPOSITES')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetStealth(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_STEALTH')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetGenetics(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_GENETICS')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetFiberOptics(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_FIBER_OPTICS')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetFusion(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_FUSION')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetHunting(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_HUNTING')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetMining(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_MINING')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetArchery(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_ARCHERY')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetMasonry(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_MASONRY')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def applyAnimalHusbandry(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_ANIMAL_HUSBANDRY')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetBronzeWorking(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_BRONZE_WORKING')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetHorsebackRiding(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_HORSEBACK_RIDING')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetIronWorking(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_IRON_WORKING')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetMetalCasting(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_METAL_CASTING')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetCompass(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_COMPASS')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetConstruction(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_CONSTRUCTION')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetMachinery(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_MACHINERY')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetEngineering(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_ENGINEERING')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetOptics(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_OPTICS')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetGunpowder(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_GUNPOWDER')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetReplaceableParts(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_REPLACEABLE_PARTS')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetMilitaryScience(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_MILITARY_SCIENCE')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetRifling(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_RIFLING')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetSteamPower(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_STEAM_POWER')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetSteel(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_STEEL')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetAssemblyLine(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_ASSEMBLY_LINE')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetRailroad(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_RAILROAD')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetArtillery(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_ARTILLERY')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetIndustrialism(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_INDUSTRIALISM')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetRadio(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_RADIO')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetRefrigeration(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_REFRIGERATION')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetSuperconductors(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_SUPERCONDUCTORS')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetComputers(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_COMPUTERS')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetLaser(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_LASER')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetRocketry(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_ROCKETRY')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetSatellites(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_SATELLITES')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def forgetRobotics(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)
	iTechLost = CvUtil.findInfoTypeNum(gc.getTechInfo,gc.getNumTechInfos(),'TECH_ROBOTICS')
	gc.getTeam(player.getTeam()).setHasTech(iTechLost, false, kTriggeredData.ePlayer, false, false)

def applyForgottenTech(argsList):
	iEvent = argsList[0]
	kTriggeredData = argsList[1]
	player = gc.getPlayer(kTriggeredData.ePlayer)

	listTechs = []
	for iTech in range(gc.getNumTechInfos()):
		listTechs.append(iTech)
			
	if len(listTechs) > 0:
		iTech = listTechs[gc.getGame().getSorenRandNum(len(listTechs), "Forgotten Tech")]
		gc.getTeam(player.getTeam()).setHasTech(iTech, false, kTriggeredData.ePlayer, false, false)



